Summary:	A high-level cross-protocol url-grabber
Summary(pl.UTF-8):	Wysokopoziomowa biblioteka do wychwytywania URL-i do wielu protokołów
Name:		python-urlgrabber
Version:	3.9.1
Release:	7
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://urlgrabber.baseurl.org/download/urlgrabber-%{version}.tar.gz
# Source0-md5:	00c8359bf71062d0946bacea521f80b4
Patch1:		urlgrabber-HEAD.patch
URL:		http://urlgrabber.baseurl.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-pycurl >= 7.19
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	python-pycurl >= 7.19
Conflicts:	c-ares < 1.6.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-level cross-protocol url-grabber for Python supporting HTTP,
FTP and file locations. Features include keepalive, byte ranges,
throttling, authentication, proxies and more.

%description -l pl.UTF-8
Wysokopoziomowa biblioteka Pythona do wychwytywania URL-i dla wielu
protokołów, obsługująca odnośniki HTTP, FTP i file. Możliwości
obejmują połączenia keepalive, przedziały bajtów, tłumienie,
uwierzytelnianie, proxy itp.

%prep
%setup -q -n urlgrabber-%{version}
%patch1 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/urlgrabber-%{version}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/urlgrabber
%{py_sitescriptdir}/urlgrabber
%{py_sitescriptdir}/urlgrabber-*.egg-info
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-urlgrabber.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 44dd702
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 858229c
- automatic change: use py_build/py_install macros

* Mon Nov 07 2011 Elan Ruusamäe <glen@pld-linux.org> 5a8027e
- new update to latest head with a number of patches collected from
  older bug reports.
- drop provides urlgrabber (nothing in th requires that now)
- rel 6

* Fri Dec 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 12e6665
- use rm macro

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6779d91
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27acde2
- release 4

* Sun Feb 07 2010 Elan Ruusamäe <glen@pld-linux.org> 0f165fd
- resolv.conf hack fixed in c-ares; rel 3

* Wed Feb 03 2010 Elan Ruusamäe <glen@pld-linux.org> f055b74
- builders /etc/resolv.conf hack; rel 2

* Wed Feb 03 2010 Elan Ruusamäe <glen@pld-linux.org> 481eec4
- merge 3.9.1 from DEVEL (ok by arekm); rel 1

* Wed Feb 03 2010 sparky <sparky@pld-linux.org> b03b2ee
- BR: python-devel

* Wed Feb 03 2010 Elan Ruusamäe <glen@pld-linux.org> acecddf
- copy from fc

* Tue Feb 02 2010 Elan Ruusamäe <glen@pld-linux.org> de18d0e
- update url

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d0f127d
- release 4

* Fri Apr 25 2008 Elan Ruusamäe <glen@pld-linux.org> 6fad799
- py_postclean

* Mon Dec 17 2007 Elan Ruusamäe <glen@pld-linux.org> 1ed9fe4
- rel 2

* Thu Nov 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 30fcc20
- LGPL v2.1+

* Thu Nov 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 04e9159
- python deps

* Thu Nov 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8460014
- back to stable 3.0.x series

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 94940d0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2899dc9
- converted to UTF-8

